Bug 456884 - OOo writer crash with Word document
OOo writer crash with Word document
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-28 09:26 EDT by Horst H. von Brand
Modified: 2008-08-03 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-03 12:34:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The crash report from oowriter (9.85 KB, application/octet-stream)
2008-07-28 09:26 EDT, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2008-07-28 09:26:40 EDT
Description of problem:
I tried to edit a Word document (can't attach it, it isn't for public eyes), and
oowriter froze, had to kill it.

Version-Release number of selected component (if applicable):
openoffice.org-writer-3.0.0-0.0.27.1.fc10.x86_64

How reproducible:
Dunno, happened once (I rarely use OOo).

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Crash, report attached (couldn't it write out a file instead of opening a stupid
window out of which to scrape the report?)

Expected results:


Additional info:
Comment 1 Horst H. von Brand 2008-07-28 09:26:40 EDT
Created attachment 312774 [details]
The crash report from oowriter
Comment 2 Caolan McNamara 2008-07-28 11:29:33 EDT
That's a very interesting crash in the fontconfig stuff, does it crash if you
open it again ? I'd be very interested in getting it by mail because I can't see
any way a word doc should trigger a crash in that code, I'd expect it to crash
always or never when starting up
Comment 3 Horst H. von Brand 2008-07-28 13:21:15 EDT
Nope, OOo recovered the (original?) document only, and didn't crash again.

I might have been updating stuff concurrently to the first crash...
Comment 4 Caolan McNamara 2008-07-29 04:26:17 EDT
The updating would make most sense than the .doc as a trigger, i.e.

Application::MergeSystemSettings triggered by a "setting changed" signal
delivered to OOo.

So it would be interesting if we could figure out what got upgraded/installed
while OOo was running that triggered the crash. Any chance that you remember
roughly the time that the crash occurred, (presumably close to the time you
logged this) and grep out the yum: lines from /var/log/messages around that
time, e.g. grep "yum:" /var/log/messages. And maybe we can see if it was
fontconfig or gtk upgrading (or a theme maybe) which triggers this scenario.
Comment 5 Caolan McNamara 2008-08-03 12:34:58 EDT
I'm pretty sure that it was the process of updating something like the theme, or gtk2 or cairo while OOo was running that triggered this problem rather than the specific document. Unfortunately I don't know how to reproduce it. 

With luck it was a specific rawhide-only once-off sort of problem. (fat chance)

Note You need to log in before you can comment on or make changes to this bug.